// Type definitions for @dyna-grid/core v1.0.5
// Project: 
// Definitions by: zhangkun <>
import { IInputField, DyAbstractInputField } from "./dyAbstractInputField";
interface IInputRange extends IInputField {
    min?: number;
    max?: number;
    step?: number;
}
export declare class DyInputRange extends DyAbstractInputField<HTMLInputElement, string, IInputRange> {
    private min;
    private max;
    constructor(config?: IInputRange);
    protected postConstruct(): void;
    protected addInputListeners(): void;
    setMinValue(value: number): this;
    setMaxValue(value: number): this;
    setStep(value: number): this;
    setValue(value: string, silent?: boolean): this;
}
export {};
